## postgresql-pgmp 1.0.0

=== Makefile ===
# pgmp -- pgxs-based makefile
#
# Copyright (C) 2011 Daniele Varrazzo
#
# This file is part of the PostgreSQL GMP Module
#
# The PostgreSQL GMP Module is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 3 of the License,
# or (at your option) any later version.
#
# The PostgreSQL GMP Module is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
# General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the PostgreSQL GMP Module.  If not, see
# http://www.gnu.org/licenses/.

.PHONY: docs

# You may have to customize this to run the test suite
# REGRESS_OPTS=--user postgres

PG_CONFIG=pg_config

SHLIB_LINK=-lgmp -lm

EXTENSION = pgmp
MODULEDIR = $(EXTENSION)
MODULE_big = $(EXTENSION)

EXT_LONGVER = $(shell grep '"version":' META.json | head -1 | sed -e 's/\s*"version":\s*"\(.*\)",/\1/')
EXT_SHORTVER = $(shell grep 'default_version' $(EXTENSION).control | head -1 | sed -e "s/default_version\s*=\s'\(.*\)'/\1/")
PG91 = $(shell $(PG_CONFIG) --version | grep -qE " 8\.| 9\.0" && echo pre91 || echo 91)

SRC_C = $(wildcard src/*.c)
SRC_H = $(wildcard src/*.h)
SRCFILES = $(SRC_C) $(SRC_H)
OBJS = $(patsubst %.c,%.o,$(SRC_C))
TESTFILES = $(wildcard test/sql/*.sql) $(wildcard test/expected/*.out)
DOCS = $(wildcard docs/*.rst) docs/conf.py docs/Makefile docs/_static/pgmp.css

PKGFILES = AUTHORS COPYING README.rst Makefile \
	META.json pgmp.control \
	sql/pgmp.pysql sql/uninstall_pgmp.sql \
	$(SRCFILES) $(DOCS) $(TESTFILES) \
	$(wildcard tools/*.py)

ifeq ($(PG91),91)
INSTALLSCRIPT=sql/pgmp--$(EXT_SHORTVER).sql
UPGRADESCRIPT=sql/pgmp--unpackaged--$(EXT_SHORTVER).sql
DATA = $(INSTALLSCRIPT) $(UPGRADESCRIPT)
else
INSTALLSCRIPT=sql/pgmp.sql
DATA = $(INSTALLSCRIPT) sql/uninstall_pgmp.sql
endif

# the += doesn't work if the user specified his own REGRESS_OPTS
REGRESS = --inputdir=test setup-$(PG91) mpz mpq
EXTRA_CLEAN = $(INSTALLSCRIPT) $(UPGRADESCRIPT)

PKGNAME = pgmp-$(EXT_LONGVER)
SRCPKG = $(SRCPKG_TGZ) $(SRCPKG_ZIP)
SRCPKG_TGZ = dist/$(PKGNAME).tar.gz
SRCPKG_ZIP = dist/$(PKGNAME).zip

USE_PGXS=1
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# added to the targets defined in pgxs
all: $(INSTALLSCRIPT) $(UPGRADESCRIPT)

$(INSTALLSCRIPT): sql/pgmp.pysql
	tools/unmix.py < $< > $@

$(UPGRADESCRIPT): $(INSTALLSCRIPT)
	tools/sql2extension.py --extname pgmp $< > $@

docs:
	$(MAKE) -C docs

sdist: $(SRCPKG)

$(SRCPKG): $(PKGFILES)
	$(MAKE) -C docs html
	ln -sf . $(PKGNAME)
	mkdir -p dist
	rm -f $(SRCPKG_TGZ)
	tar czvf $(SRCPKG_TGZ) $(addprefix $(PKGNAME)/,$^) \
		$(PKGNAME)/docs/html --exclude "$(PKGNAME)/docs/html/.*"
	rm -f $(SRCPKG_ZIP)
	zip -r $(SRCPKG_ZIP) $(addprefix $(PKGNAME)/,$^) \
		$(PKGNAME)/docs/html -x "$(PKGNAME)/docs/html/.*"
	rm $(PKGNAME)

# Required for testing in pgxn client on PG < 9.1
installcheck: $(INSTALLSCRIPT)

=== docs/Makefile ===
# pgmp -- documentation makefile
#
# Use 'make env', then 'make html' to build the HTML documentation
#
# Copyright (C) 2011 Daniele Varrazzo

PYTHON := python$(PYTHON_VERSION)
PYTHON_VERSION ?= $(shell $(PYTHON) -c 'import sys; print ("%d.%d" % sys.version_info[:2])')
BUILD_DIR = $(shell pwd)/build/lib.$(PYTHON_VERSION)
ENV_DIR = $(shell pwd)/env/py-$(PYTHON_VERSION)
ENV_BIN = $(ENV_DIR)/bin
ENV_LIB = $(ENV_DIR)/lib
EASY_INSTALL = PYTHONPATH=$(ENV_LIB) $(ENV_BIN)/easy_install-$(PYTHON_VERSION) -d $(ENV_LIB) -s $(ENV_BIN)
EZ_SETUP = $(ENV_BIN)/ez_setup.py

SPHINXOPTS    =
SPHINXBUILD   = $(ENV_BIN)/sphinx-build
PAPER         =
BUILDDIR      = .

.PHONY: env clean html

default: html

html:
	PYTHONPATH=$(ENV_LIB) $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) \
		. $(BUILDDIR)/html

# The environment is currently required to build the documentation.
# It is not clean by 'make clean'

env: easy_install
	mkdir -p $(ENV_BIN)
	mkdir -p $(ENV_LIB)
	$(EASY_INSTALL) docutils
	$(EASY_INSTALL) Jinja2
	hg clone https://bitbucket.org/dvarrazzo/pygments-postgres env/pygments-postgres
	ln -s `pwd`/env/pygments-postgres/pygments $(ENV_LIB)
	hg clone https://bitbucket.org/birkenfeld/sphinx env/sphinx-tip
	ln -s `pwd`/env/sphinx-tip/sphinx $(ENV_LIB)
	ln -s `pwd`/env/sphinx-tip/sphinx-build.py $(ENV_BIN)/sphinx-build

easy_install: ez_setup
	PYTHONPATH=$(ENV_LIB) $(PYTHON) $(EZ_SETUP) -d $(ENV_LIB) -s $(ENV_BIN) setuptools

ez_setup:
	mkdir -p $(ENV_BIN)
	mkdir -p $(ENV_LIB)
	wget -O $(EZ_SETUP) http://peak.telecommunity.com/dist/ez_setup.py

clean:
	$(RM) -r html

=== debian/changelog ===
postgresql-pgmp (1.0.0-4) unstable; urgency=low

  * Fix installation of doc dir for 9.1. Closes: #646656.

 -- Christoph Berg <myon@debian.org>  Sun, 09 Oct 2011 14:10:07 +0200

postgresql-pgmp (1.0.0-3) unstable; urgency=low

  * Rebuild for PostgreSQL 9.1.
  * Manually create /usr/share/postgresql/$$version/extension.
  * Remove sql/pgmp.sql on clean.

 -- Christoph Berg <myon@debian.org>  Wed, 24 Aug 2011 10:00:48 +0200

postgresql-pgmp (1.0.0-2) unstable; urgency=low

  * The clean target needs per-version PG_CONFIG too.

 -- Christoph Berg <myon@debian.org>  Tue, 09 Aug 2011 11:05:56 +0200

postgresql-pgmp (1.0.0-1) unstable; urgency=low

  * Initial release.
  * Patch Makefile not to install non-doc files as documenation.

 -- Christoph Berg <myon@debian.org>  Tue, 09 Aug 2011 00:06:25 +0200

=== debian/control ===
Source: postgresql-pgmp
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7), libgmp-dev, postgresql-server-dev-all (>= 118), python-minimal
Standards-Version: 3.9.2
Homepage: http://pgmp.projects.postgresql.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-postgresql/trunk/postgresql-pgmp/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/postgresql-pgmp/

Package: postgresql-9.1-pgmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.1
Description: arbitrary precision integers and rationals for PostgreSQL 9.1
 pgmp is a PostgreSQL extension to add the GMP data types and functions
 directly into the database.
 .
 The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
 precision rationals) to PostgreSQL and exposes to the database all the
 functions available in the GMP library for these data types, allowing:
 .
  * higher performance arithmetic on integers respect to the numeric data type
  * a rational data type for absolute precision storage and arithmetic
  * using specialized functions to deal with prime numbers, random numbers,
    factorization directly into the database.

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR := .
include /usr/share/postgresql-common/pgxs_debian_control.mk

build build-arch: build-stamp
build-stamp:
	dh_testdir
	dh_prep
	# package doesn't support o-o-t build yet
	set -e; \
	for version in $$(pg_buildext supported-versions .) ; do \
		pg_config="/usr/lib/postgresql/$$version/bin/pg_config" && \
		echo "### Cleaning for PostgreSQL $$version" && \
		$(MAKE) clean PG_CONFIG="$$pg_config" && \
		echo "### Building for PostgreSQL $$version" && \
		$(MAKE) PG_CONFIG="$$pg_config" && \
		echo "### Installing for PostgreSQL $$version" && \
		destdir="$(CURDIR)/debian/postgresql-$$version-pgmp" && \
		if [ $$version '>' 9.0 ] ; then \
			mkdir -p $$destdir/usr/share/postgresql/$$version/extension ; \
		fi && \
		$(MAKE) install PG_CONFIG="$$pg_config" DESTDIR="$$destdir" && \
		if [ -d $$destdir/usr/share/doc/postgresql-doc* ] ; then \
			mv $$destdir/usr/share/doc/postgresql-doc-*/pgmp $$destdir/usr/share/doc/postgresql-$$version-pgmp && \
			rmdir $$destdir/usr/share/doc/postgresql-doc-* ; \
		else \
			mv $$destdir/usr/share/doc/postgresql/* $$destdir/usr/share/doc/postgresql-$$version-pgmp && \
			rmdir $$destdir/usr/share/doc/postgresql ; \
		fi \
	done
	touch $@

build-indep:

clean: debian/control
	dh_testdir
	dh_testroot
	for version in $$(pg_buildext supported-versions .) ; do \
		pg_config="/usr/lib/postgresql/$$version/bin/pg_config" && \
		echo "### Cleaning for PostgreSQL $$version" && \
		$(MAKE) clean PG_CONFIG="$$pg_config" || exit 1 ; \
	done
	rm -rf build-stamp sql/pgmp.sql
	dh_clean

install: build
	dh_testdir
	dh_testroot
	# no dh_prep here, we have already installed stuff

binary binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_install -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep:

.PHONY: build build-arch build-indep clean binary binary-indep binary-arch debian/control

=== debian/watch ===
version=3
http://pgfoundry.org/frs/?group_id=1000561 .*/pgmp-(.*)\.tar\.gz

## postgresql-pgmp 1.0.1

=== Makefile ===
--- 
+++ 
@@ -85,15 +85,12 @@
 sdist: $(SRCPKG)
 
 $(SRCPKG): $(PKGFILES)
-	$(MAKE) -C docs html
 	ln -sf . $(PKGNAME)
 	mkdir -p dist
 	rm -f $(SRCPKG_TGZ)
-	tar czvf $(SRCPKG_TGZ) $(addprefix $(PKGNAME)/,$^) \
-		$(PKGNAME)/docs/html --exclude "$(PKGNAME)/docs/html/.*"
+	tar czvf $(SRCPKG_TGZ) $(addprefix $(PKGNAME)/,$^)
 	rm -f $(SRCPKG_ZIP)
-	zip -r $(SRCPKG_ZIP) $(addprefix $(PKGNAME)/,$^) \
-		$(PKGNAME)/docs/html -x "$(PKGNAME)/docs/html/.*"
+	zip -r $(SRCPKG_ZIP) $(addprefix $(PKGNAME)/,$^)
 	rm $(PKGNAME)
 
 # Required for testing in pgxn client on PG < 9.1

=== debian/changelog ===
postgresql-pgmp (1.0.1-3git1) trusty; urgency=medium

  Upload current Debian packaging git head to fix autopkgtest.

  * Add missing python test dependency, the test calls unmix.py.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Feb 2014 13:53:12 +0100

postgresql-pgmp (1.0.1-3) unstable; urgency=low

  [ Martin Pitt ]
  * debian/tests/control: Add missing postgresql-server-dev-all test
    dependency, so that installcheck can find pg_buildext.

  [ Christoph Berg ]
  * debian/pgversions: Use "all" and B-D on pg-server-dev-all >= 148.
  * Pull patch from upstream to fix 9.3 build.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Sep 2013 11:20:54 +0200

postgresql-pgmp (1.0.1-2) unstable; urgency=low

  * Update watch file to only look at github.
  * debian/tests/installcheck: unset TMPDIR.

 -- Christoph Berg <myon@debian.org>  Mon, 01 Jul 2013 12:07:17 +0200

postgresql-pgmp (1.0.1-1) experimental; urgency=low

  * New upstream release.
  * Packaging repository moved to git.debian.org.
  * Point Homepage at github, pgfoundry is offline way too often.
  * debian/pgversions: add 9.2 and 9.3.
  * debian/tests: add autopkgtest support using make installcheck.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Jan 2013 09:58:46 +0100

=== debian/control ===
Source: postgresql-pgmp
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7), libgmp-dev, postgresql-server-dev-all (>= 148~), python-minimal
Standards-Version: 3.9.4
Homepage: https://github.com/dvarrazzo/pgmp
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-pgmp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-pgmp.git
XS-Testsuite: autopkgtest

Package: postgresql-9.3-pgmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.3
Description: arbitrary precision integers and rationals for PostgreSQL 9.3
 pgmp is a PostgreSQL extension to add the GMP data types and functions
 directly into the database.
 .
 The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
 precision rationals) to PostgreSQL and exposes to the database all the
 functions available in the GMP library for these data types, allowing:
 .
  * higher performance arithmetic on integers respect to the numeric data type
  * a rational data type for absolute precision storage and arithmetic
  * using specialized functions to deal with prime numbers, random numbers,
    factorization directly into the database.

=== debian/tests/control ===
Tests: installcheck
Depends: @, postgresql-server-dev-all, python
Restrictions: needs-root

## postgresql-pgmp 1.0.2

=== docs/Makefile ===
--- 
+++ 
@@ -32,13 +32,8 @@
 env: easy_install
 	mkdir -p $(ENV_BIN)
 	mkdir -p $(ENV_LIB)
-	$(EASY_INSTALL) docutils
-	$(EASY_INSTALL) Jinja2
-	hg clone https://bitbucket.org/dvarrazzo/pygments-postgres env/pygments-postgres
-	ln -s `pwd`/env/pygments-postgres/pygments $(ENV_LIB)
-	hg clone https://bitbucket.org/birkenfeld/sphinx env/sphinx-tip
-	ln -s `pwd`/env/sphinx-tip/sphinx $(ENV_LIB)
-	ln -s `pwd`/env/sphinx-tip/sphinx-build.py $(ENV_BIN)/sphinx-build
+	$(EASY_INSTALL) -U "Pygments>=1.5"
+	$(EASY_INSTALL) -U "sphinx>=1.1"
 
 easy_install: ez_setup
 	PYTHONPATH=$(ENV_LIB) $(PYTHON) $(EZ_SETUP) -d $(ENV_LIB) -s $(ENV_BIN) setuptools

=== debian/changelog ===
postgresql-pgmp (1.0.2-6) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 22:12:05 +0200

postgresql-pgmp (1.0.2-5) unstable; urgency=medium

  * Sort file lists in Makefile to make build reproducible.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Oct 2017 20:39:43 +0200

postgresql-pgmp (1.0.2-4) unstable; urgency=medium

  * src/pmpz_arith.c: Patch for 10 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Sep 2017 14:54:34 +0200

postgresql-pgmp (1.0.2-3) unstable; urgency=medium

  * Upload with 9.6 support.

 -- Christoph Berg <myon@debian.org>  Sun, 25 Sep 2016 22:28:41 +0200

postgresql-pgmp (1.0.2-2) unstable; urgency=medium

  * Suppress hash index warning in testsuite to fix 9.5 build.

 -- Christoph Berg <myon@debian.org>  Fri, 08 Jan 2016 18:36:07 +0100

postgresql-pgmp (1.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Sat, 17 Jan 2015 22:30:36 +0100

postgresql-pgmp (1.0.1-6) unstable; urgency=medium

  * Upload to unstable for 9.4.

 -- Christoph Berg <myon@debian.org>  Fri, 25 Jul 2014 22:14:36 +0200

postgresql-pgmp (1.0.1-5) experimental; urgency=medium

  * B-D on pg-common 158 to build for 9.3 and 9.4.
  * debian/tests: Use pg_buildext installcheck.
  * Set team as Maintainer.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Jul 2014 14:14:34 +0200

postgresql-pgmp (1.0.1-4) unstable; urgency=medium

  [ Martin Pitt ]
  * Add missing python test dependency, the test calls unmix.py.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 20 Mar 2014 14:55:38 +0100

=== debian/control ===
Source: postgresql-pgmp
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), libgmp-dev, postgresql-server-dev-all (>= 158~), python-minimal
Standards-Version: 4.1.1
Homepage: https://github.com/dvarrazzo/pgmp
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pgmp.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pgmp
XS-Testsuite: autopkgtest

Package: postgresql-11-pgmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
Description: arbitrary precision integers and rationals for PostgreSQL 11
 pgmp is a PostgreSQL extension to add the GMP data types and functions
 directly into the database.
 .
 The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
 precision rationals) to PostgreSQL and exposes to the database all the
 functions available in the GMP library for these data types, allowing:
 .
  * higher performance arithmetic on integers respect to the numeric data type
  * a rational data type for absolute precision storage and arithmetic
  * using specialized functions to deal with prime numbers, random numbers,
    factorization directly into the database.

=== debian/tests/control ===
Tests: installcheck
Depends: @, postgresql-server-dev-all, python
Restrictions: allow-stderr

## postgresql-pgmp 1.0.4~20220628.0704-4~3.git79e81dc.pgdg18.04+1

=== debian/changelog ===
postgresql-pgmp (1.0.4~20220628.0704-4~3.git79e81dc.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:01:23 +0200

postgresql-pgmp (1.0.4-4) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 10:01:23 +0200

postgresql-pgmp (1.0.4-3) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * R³: no.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 15:46:09 +0200

postgresql-pgmp (1.0.4-2) unstable; urgency=medium

  * Move to python3. (Closes: #943168)

 -- Christoph Berg <myon@debian.org>  Thu, 02 Apr 2020 22:11:22 +0200

postgresql-pgmp (1.0.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Feb 2020 09:21:04 +0100

postgresql-pgmp (1.0.3-1) unstable; urgency=medium

  * New upstream version.
  * Use dh.
  * {Build,Test}-Depend on python-six.
  * Cherry-pick from upstream: Deal correctly with lazily allocated mpz zeros.
    (Closes: #950608, https://github.com/dvarrazzo/pgmp/issues/18)

 -- Christoph Berg <myon@debian.org>  Thu, 06 Feb 2020 10:13:59 +0100

postgresql-pgmp (1.0.2-8) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 14:02:36 +0100

postgresql-pgmp (1.0.2-7) unstable; urgency=medium

  * Update testsuite to accept PG12.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jun 2019 11:42:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,37 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), libgmp-dev, postgresql-server-dev-all (>= 158~), python-minimal
-Standards-Version: 4.1.1
+Build-Depends:
+ debhelper (>= 11),
+ libgmp-dev,
+ postgresql-all (>= 217~),
+ python3,
+ python3-six,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/dvarrazzo/pgmp
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pgmp.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pgmp
-XS-Testsuite: autopkgtest
+
+Package: postgresql-10-pgmp
+Architecture: any
+Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
+Description: arbitrary precision integers and rationals for PostgreSQL 10
+ pgmp is a PostgreSQL extension to add the GMP data types and functions
+ directly into the database.
+ .
+ The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
+ precision rationals) to PostgreSQL and exposes to the database all the
+ functions available in the GMP library for these data types, allowing:
+ .
+  * higher performance arithmetic on integers respect to the numeric data type
+  * a rational data type for absolute precision storage and arithmetic
+  * using specialized functions to deal with prime numbers, random numbers,
+    factorization directly into the database.
 
 Package: postgresql-11-pgmp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
+Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
 Description: arbitrary precision integers and rationals for PostgreSQL 11
  pgmp is a PostgreSQL extension to add the GMP data types and functions
  directly into the database.
@@ -26,3 +47,50 @@
   * using specialized functions to deal with prime numbers, random numbers,
     factorization directly into the database.
 
+Package: postgresql-12-pgmp
+Architecture: any
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: arbitrary precision integers and rationals for PostgreSQL 12
+ pgmp is a PostgreSQL extension to add the GMP data types and functions
+ directly into the database.
+ .
+ The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
+ precision rationals) to PostgreSQL and exposes to the database all the
+ functions available in the GMP library for these data types, allowing:
+ .
+  * higher performance arithmetic on integers respect to the numeric data type
+  * a rational data type for absolute precision storage and arithmetic
+  * using specialized functions to deal with prime numbers, random numbers,
+    factorization directly into the database.
+
+Package: postgresql-13-pgmp
+Architecture: any
+Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
+Description: arbitrary precision integers and rationals for PostgreSQL 13
+ pgmp is a PostgreSQL extension to add the GMP data types and functions
+ directly into the database.
+ .
+ The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
+ precision rationals) to PostgreSQL and exposes to the database all the
+ functions available in the GMP library for these data types, allowing:
+ .
+  * higher performance arithmetic on integers respect to the numeric data type
+  * a rational data type for absolute precision storage and arithmetic
+  * using specialized functions to deal with prime numbers, random numbers,
+    factorization directly into the database.
+
+Package: postgresql-14-pgmp
+Architecture: any
+Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
+Description: arbitrary precision integers and rationals for PostgreSQL 14
+ pgmp is a PostgreSQL extension to add the GMP data types and functions
+ directly into the database.
+ .
+ The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
+ precision rationals) to PostgreSQL and exposes to the database all the
+ functions available in the GMP library for these data types, allowing:
+ .
+  * higher performance arithmetic on integers respect to the numeric data type
+  * a rational data type for absolute precision storage and arithmetic
+  * using specialized functions to deal with prime numbers, random numbers,
+    factorization directly into the database.

## postgresql-pgmp 1.0.4~20220628.0704-4~3.git79e81dc.pgdg20.04+1

=== debian/changelog ===
postgresql-pgmp (1.0.4~20220628.0704-4~3.git79e81dc.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:01:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  libgmp-dev,
  postgresql-all (>= 217~),
  python3,

## postgresql-pgmp 1.0.4~20220628.0704-4~3.git79e81dc.pgdg21.10+1

=== debian/changelog ===
postgresql-pgmp (1.0.4~20220628.0704-4~3.git79e81dc.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:01:23 +0200

## postgresql-pgmp 1.0.4~20220628.0704-4~3.git79e81dc.pgdg90+1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # pgmp -- pgxs-based makefile
 #
-# Copyright (C) 2011 Daniele Varrazzo
+# Copyright (C) 2011-2020 Daniele Varrazzo
 #
 # This file is part of the PostgreSQL GMP Module
 #
@@ -16,7 +16,7 @@
 #
 # You should have received a copy of the GNU Lesser General Public License
 # along with the PostgreSQL GMP Module.  If not, see
-# http://www.gnu.org/licenses/.
+# https://www.gnu.org/licenses/.
 
 .PHONY: docs
 
@@ -35,18 +35,20 @@
 EXT_SHORTVER = $(shell grep 'default_version' $(EXTENSION).control | head -1 | sed -e "s/default_version\s*=\s'\(.*\)'/\1/")
 PG91 = $(shell $(PG_CONFIG) --version | grep -qE " 8\.| 9\.0" && echo pre91 || echo 91)
 
-SRC_C = $(wildcard src/*.c)
-SRC_H = $(wildcard src/*.h)
+SRC_C = $(sort $(wildcard src/*.c))
+SRC_H = $(sort $(wildcard src/*.h))
 SRCFILES = $(SRC_C) $(SRC_H)
 OBJS = $(patsubst %.c,%.o,$(SRC_C))
-TESTFILES = $(wildcard test/sql/*.sql) $(wildcard test/expected/*.out)
-DOCS = $(wildcard docs/*.rst) docs/conf.py docs/Makefile docs/_static/pgmp.css
+TESTFILES = $(sort $(wildcard test/sql/*.sql) $(wildcard test/expected/*.out))
+BENCHFILES = $(sort $(wildcard bench/*.py) $(wildcard bench/*.txt))
+DOCFILES = $(sort $(wildcard docs/*.rst))
+TOOLSFILES = $(sort $(wildcard tools/*.py))
 
-PKGFILES = AUTHORS COPYING README.rst Makefile \
-	META.json pgmp.control \
+PKGFILES = $(SRCFILES) $(DOCFILES) $(TESTFILES) $(BENCHFILES) $(TOOLSFILES) \
+	AUTHORS COPYING README.rst Makefile META.json pgmp.control \
 	sql/pgmp.pysql sql/uninstall_pgmp.sql \
-	$(SRCFILES) $(DOCS) $(TESTFILES) \
-	$(wildcard tools/*.py)
+	docs/conf.py docs/Makefile docs/_static/pgmp.css \
+	docs/html-gitignore docs/requirements.txt
 
 ifeq ($(PG91),91)
 INSTALLSCRIPT=sql/pgmp--$(EXT_SHORTVER).sql
@@ -92,7 +94,3 @@
 	rm -f $(SRCPKG_ZIP)
 	zip -r $(SRCPKG_ZIP) $(addprefix $(PKGNAME)/,$^)
 	rm $(PKGNAME)
-
-# Required for testing in pgxn client on PG < 9.1
-installcheck: $(INSTALLSCRIPT)
-

=== debian/changelog ===
postgresql-pgmp (1.0.4~20220628.0704-4~3.git79e81dc.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:01:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper (>= 10),
  libgmp-dev,
  postgresql-all (>= 217~),
  python3,

## postgresql-pgmp 1.0.4~20220628.0704-4~3.git79e81dc.pgdg100+1

=== debian/changelog ===
postgresql-pgmp (1.0.4~20220628.0704-4~3.git79e81dc.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:01:23 +0200

## postgresql-pgmp 1.0.4~20220628.0704-4~3.git79e81dc.pgdg120+1

=== debian/changelog ===
postgresql-pgmp (1.0.4~20220628.0704-4~3.git79e81dc.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:01:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  libgmp-dev,
  postgresql-all (>= 217~),
  python3,

## postgresql-pgmp 1.0.4~20220628.0704-4~3.git79e81dc.pgdg+1

=== debian/changelog ===
postgresql-pgmp (1.0.4~20220628.0704-4~3.git79e81dc.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:01:23 +0200

## postgresql-pgmp 1.0.4

=== Makefile ===
--- 
+++ 
@@ -94,3 +94,7 @@
 	rm -f $(SRCPKG_ZIP)
 	zip -r $(SRCPKG_ZIP) $(addprefix $(PKGNAME)/,$^)
 	rm $(PKGNAME)
+
+# Required for testing in pgxn client on PG < 9.1
+installcheck: $(INSTALLSCRIPT)
+

=== docs/Makefile ===
# pgmp -- documentation makefile
#
# Use 'make env' once, then 'make html' to build the HTML documentation.
# You can use PYTHON=python3.6 to use a different Python version to build.
#
# Copyright (C) 2011-2020 Daniele Varrazzo

ENV_DIR = $(shell pwd)/env
ENV_BIN = $(ENV_DIR)/bin
ENV_LIB = $(ENV_DIR)/lib

SPHINXOPTS    =
SPHINXBUILD   = $(ENV_BIN)/sphinx-build
PAPER         =
BUILDDIR      = .

PYTHON ?= python
PLOTS = $(patsubst ../bench/%.txt,html/img/%.png,$(sort $(wildcard ../bench/*.txt)))

.PHONY: env html upload clean

default: html

html: $(PLOTS) html/.gitignore html/.nojekill
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) \
		. $(BUILDDIR)/html

html/img/%.png: ../bench/%.txt
	mkdir -p html/img
	$(ENV_BIN)/python ../bench/plot_result.py $< -o $@

# The environment is currently required to build the documentation.
# It is not clean by 'make clean'

env:
	virtualenv -p $(PYTHON) $(ENV_DIR)
	$(ENV_BIN)/pip install -r requirements.txt
	# Clone the github pages repository to update
	# Fail silently if this is not a git repos (upload won't work of course)
	git status 2>/dev/null \
		&& git clone -b gh-pages \
			$$(git remote show -n origin | awk '/URL/ {print $$NF; exit}') \
			html \
		|| true

html/.gitignore: html-gitignore
	cp $< $@

html/.nojekill:
	touch $@

upload:
	cd html && test -d .git \
		&& git add --all \
		&& git commit -m "website update on $$(date)" \
		&& git push

clean:
	# Do not delete .gitignore and .git directories
	$(RM) -r html/*

=== docs/requirements.txt ===
sphinx>=1.8,<1.9
docutils==0.16
matplotlib>=2.2,<2.3

=== sandbox/hello/Makefile ===
CFLAGS=-g
LDFLAGS=-lgmp

all: hello

clean:
	$(RM) hello.o hello

=== debian/changelog ===
postgresql-pgmp (1.0.4-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable (LP: #1864062):
    - Remaining changes:
    * explicitly use python2 until python3 is supported
      - d/control[.in]: bump build dependencies to explcit 2
      - d/p/use-python2.patch: update script headers to call python2
      - d/t/control: bump test dependencies to explcit 2

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 21 Feb 2020 16:28:56 +0100

postgresql-pgmp (1.0.2-8ubuntu1) focal; urgency=medium

  * explicitly use python2 until python3 is supported (LP: #1861273)
    - d/control[.in]: bump build dependencies to explcit 2
    - d/p/use-python2.patch: update script headers to call python2
    - d/t/control: bump test dependencies to explcit 2

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 29 Jan 2020 12:27:31 +0100

=== debian/control ===
Source: postgresql-pgmp
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper (>= 9),
 libgmp-dev,
 postgresql-server-dev-all (>= 158~),
 python2-minimal,
 python-six,
Standards-Version: 4.1.1
Homepage: https://github.com/dvarrazzo/pgmp
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pgmp.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pgmp
XS-Testsuite: autopkgtest

Package: postgresql-12-pgmp
Architecture: any
Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
Description: arbitrary precision integers and rationals for PostgreSQL 12
 pgmp is a PostgreSQL extension to add the GMP data types and functions
 directly into the database.
 .
 The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
 precision rationals) to PostgreSQL and exposes to the database all the
 functions available in the GMP library for these data types, allowing:
 .
  * higher performance arithmetic on integers respect to the numeric data type
  * a rational data type for absolute precision storage and arithmetic
  * using specialized functions to deal with prime numbers, random numbers,
    factorization directly into the database.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

%:
	dh $@

override_dh_auto_build:

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-pgmp

override_dh_auto_test:

override_dh_installdocs:
	dh_installdocs --all docs/*.rst

=== debian/tests/control ===
Tests: installcheck
Depends: postgresql-server-dev-all, python2, python-six, @
Restrictions: allow-stderr

## postgresql-pgmp 1.0.5

=== debian/changelog ===
postgresql-pgmp (1.0.5-4) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117326)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:47:05 +0200

postgresql-pgmp (1.0.5-3) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 23:38:33 +0200

postgresql-pgmp (1.0.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 21:33:02 +0200

postgresql-pgmp (1.0.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Sep 2023 10:12:58 +0200

postgresql-pgmp (1.0.4-6) unstable; urgency=medium

  * Fix varatt handling on PG16.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jul 2023 08:29:51 +0000

postgresql-pgmp (1.0.4-5) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:08:07 +0200

=== debian/control ===
Source: postgresql-pgmp
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 libgmp-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
 python3,
 python3-six,
Standards-Version: 4.7.2
Homepage: https://github.com/dvarrazzo/pgmp
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pgmp.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pgmp

Package: postgresql-18-pgmp
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: arbitrary precision integers and rationals for PostgreSQL 18
 pgmp is a PostgreSQL extension to add the GMP data types and functions
 directly into the database.
 .
 The extension adds the types mpz (arbitrary size integers) and mpq (arbitrary
 precision rationals) to PostgreSQL and exposes to the database all the
 functions available in the GMP library for these data types, allowing:
 .
  * higher performance arithmetic on integers respect to the numeric data type
  * a rational data type for absolute precision storage and arithmetic
  * using specialized functions to deal with prime numbers, random numbers,
    factorization directly into the database.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	dh_installdocs --all docs/*.rst

=== debian/tests/control ===
Tests:
 installcheck,
Depends:
 postgresql-common-dev,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
https://github.com/dvarrazzo/pgmp/tags .*/rel-(.*).tar.gz
